import { DispatchRenderer } from './jsonforms/renderers/dispatch-renderer';
import { ViewTemplate } from '@microsoft/fast-element';
import { JsonFormsState, OwnPropsOfControl, RankedTester, StatePropsOfControl } from '@jsonforms/core';
export type UiSchemaElementType = 'Control' | 'VerticalLayout' | any;
export type UiSchemaElementOptions = {
    allOptionsResourceName?: string;
    valueField?: string;
    labelField?: string;
    textarea?: boolean;
    data?: any[];
    i18n?: {
        [key: string]: any;
    };
};
export type UiSchemaElement = {
    type: UiSchemaElementType;
    scope: string;
    label?: string;
    options?: UiSchemaElementOptions;
};
export type UiSchema = {
    type: UiSchemaElementType;
    elements: UiSchemaElement[];
};
export type RendererEntry = {
    renderer: ViewTemplate<DispatchRenderer, any>;
    tester: RankedTester;
    mapper: (state: JsonFormsState, ownProps: OwnPropsOfControl) => StatePropsOfControl;
};
//# sourceMappingURL=types.d.ts.map