import { controlCornerRadius, designUnit, strokeWidth } from '@microsoft/fast-components';
import { css } from '@microsoft/fast-element';
import { display, forcedColorsStylesheetBehavior } from '@microsoft/fast-foundation';
import { SystemColors } from '@microsoft/fast-web-utilities';
export const foundationFormStyles = css `
  ${display('block')}
  :host {
    border: calc(${strokeWidth} * 1px) solid transparent;
    margin: 0;
    border-radius: calc(${controlCornerRadius} * 1px);
    padding: calc(${designUnit} * 1px);
    min-width: 64px;
  }

  .form-controls {
    display: grid;
    grid-gap: calc(${designUnit} * 1px);
    grid-column-gap: calc(${designUnit} * 7px);
    grid-template-columns: repeat(2, 1fr);
  }

  .form-group {
    display: flex;
    flex-direction: column;
  }

  .required::after {
    content: ' *';
    color: #f00;
  }

  .label {
    font-size: calc(${designUnit} * 1px + 0.7vmin);
  }

  .actions {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: calc(${designUnit} * 2px);
  }

  .error {
    border-bottom: 2px solid red;
  }

  .errors {
    color: #f00;
    font-size: 11px;
    width: calc(100% - 70px);
  }

  .submit-button {
    width: 70px;
  }
`.withBehaviors(forcedColorsStylesheetBehavior(css `
    :host {
      background: ${SystemColors.Canvas};
      border-color: ${SystemColors.CanvasText};
    }
  `));
//# sourceMappingURL=form.styles.js.map